///*
// * Sample InstallReferrerClient Implementation
// */
//package com.tapjoy.easyapp;
//
//import android.content.Context;
//import android.content.SharedPreferences;
//import android.os.RemoteException;
//import com.android.installreferrer.api.InstallReferrerClient;
//import com.android.installreferrer.api.InstallReferrerStateListener;
//import com.android.installreferrer.api.ReferrerDetails;
//import com.tapjoy.TapjoyLog;
//import com.tapjoy.Tapjoy;
//
//public class EasyAppInstallReferrer implements InstallReferrerStateListener {
//
//    private Context referrerContext;
//    private InstallReferrerClient mReferrerClient;
//    private String TAG = "Tapjoy Install Referrer";
//    private SharedPreferences prefs;
//
//    public void init(Context context) {
//      mReferrerClient = InstallReferrerClient.newBuilder(context).build();
//      /*
//      * Notes from google documentaiton: Unless the app is reinstalled, the install referrer information will be available for 90 days
//      * To avoid unnecessary API calls in your app, you should invoke the API only once during the first execution after install.
//      */
//      prefs = context.getSharedPreferences("TapjoyEasyAppReferrer", Context.MODE_PRIVATE);
//      if(!prefs.getBoolean("didSetUpTapjoyInstallReferrer", false)) {
//        mReferrerClient.startConnection(this);
//      }
//      referrerContext = context;
//    }
//
//    @Override
//    public void onInstallReferrerSetupFinished(int responseCode) {
//      switch (responseCode) {
//        case InstallReferrerClient.InstallReferrerResponse.OK:
//          try {
//            getReferrer();
//            mReferrerClient.endConnection();
//          } catch (RemoteException e) {
//            TapjoyLog.e(TAG, e.getMessage());
//          } catch (Exception e) {
//            TapjoyLog.e(TAG, e.getMessage());
//          }
//          break;
//        case InstallReferrerClient.InstallReferrerResponse.FEATURE_NOT_SUPPORTED:
//          // API not available on the current Play Store app.
//          break;
//        case InstallReferrerClient.InstallReferrerResponse.SERVICE_UNAVAILABLE:
//          // Connection couldn't be established.
//          break;
//      }
//
//    }
//
//    @Override
//    public void onInstallReferrerServiceDisconnected() {
//      // Try to restart the connection on the next request to
//      // Google Play by calling the startConnection() method.
//      if (mReferrerClient == null) {
//        mReferrerClient = InstallReferrerClient.newBuilder(referrerContext).build();
//      }
//      try {
//        mReferrerClient.startConnection(this);
//      } catch (Exception e) {
//        TapjoyLog.e(TAG, e.getMessage());
//      }
//    }
//
//    private void getReferrer() throws RemoteException {
//      SharedPreferences.Editor editor = prefs.edit();
//      editor.putBoolean("didSetUpTapjoyInstallReferrer", true);
//      editor.apply();
//
//      ReferrerDetails referrerDetails = mReferrerClient.getInstallReferrer();
//      String referrer = referrerDetails.getInstallReferrer();
//      Tapjoy.setInstallReferrer(referrerContext, referrer);
//    }
//}
//
